Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Class TextLabelAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodebranchdata.AbstractNodeBranchDataAdapter
          info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
              info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
                  info.bioinfweb.treegraph.document.nodebranchdata.TextLabelAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeBranchDataAdapter

Direct Known Subclasses:
  NewTextLabelAdapter

    public class TextLabelAdapter

extends AbstractIDElementAdapter
implements NodeBranchDataAdapter

Field Summary
`private DecimalFormat` | `defaultDecimalFormat`

Fields inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`id`

Constructor Summary
`TextLabelAdapter(String labelID, DecimalFormat decimalFormat)`

Method Summary
`boolean` | `assignData(Node node, TextElementData data)`
`protected void` | `createData(Node node)` This method should create the data object if does not already exist.
`void` | `delete(Node node)`
`TextElementData` | `getData(Node node)`
`TextLabel` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`DecimalFormat` | `getDecimalFormat(Node node)`
`String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.AbstractIDElementAdapter
`equals, getID, isNewColumn, readOnly`

Methods inherited from class info.bioinfweb.treegraph.document.nodebranchdata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodebranchdata.NodeBranchDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isNewColumn, isString, readOnly, setDecimal, setText`

Field Detail

### defaultDecimalFormat

    private DecimalFormat defaultDecimalFormat

Constructor Detail

### TextLabelAdapter

    public TextLabelAdapter(String labelID,
                            DecimalFormat decimalFormat)

Method Detail

### getData

    public TextElementData getData(Node node)

  Specified by:
    `getData` in class `TextElementDataAdapter`

### assignData

    public boolean assignData(Node node,
                              TextElementData data)

  Specified by:
    `assignData` in class `TextElementDataAdapter`

### getDecimalFormat

    public DecimalFormat getDecimalFormat(Node node)

  Specified by:
    `getDecimalFormat` in class `TextElementDataAdapter`

### createData

    protected void createData(Node node)

  Description copied from class: `TextElementDataAdapter`
  This method should create the data object if does not already exist.

  Specified by:
    `createData` in class `TextElementDataAdapter`
  Parameters:
    `node` - the node wich is assiciated with the data object

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeBranchDataAdapter`
  Overrides:
    `delete` in class `TextElementDataAdapter`

### getDataElement

    public TextLabel getDataElement(Node node)

  Description copied from interface: `NodeBranchDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeBranchDataAdapter`
  Returns:

### toString

    public String toString()

  Description copied from interface: `NodeBranchDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeBranchDataAdapter`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD